| Version: 3.3.1

Public Member Functions | Public Attributes | List of all members
wxRichTextDrawingContext Class Reference
Class List by Category » Rich Text

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextDrawingContext:
[legend]

## Detailed Description

A class for passing information to drawing and measuring functions.

##

Library: wxRichText
Category: Rich Text

See also
  wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextDrawingContext (wxRichTextBuffer *buffer)
| Pass the buffer to the context so the context can retrieve information such as virtual attributes. More...
void | Init ()
bool | HasVirtualAttributes (wxRichTextObject *obj) const
| Does this object have virtual attributes? Virtual attributes can be provided for visual cues without affecting the actual styling. More...
wxRichTextAttr | GetVirtualAttributes (wxRichTextObject *obj) const
| Returns the virtual attributes for this object. More...
bool | ApplyVirtualAttributes (wxRichTextAttr &attr, wxRichTextObject *obj) const
| Applies any virtual attributes relevant to this object. More...
int | GetVirtualSubobjectAttributesCount (wxRichTextObject *obj) const
| Gets the count for mixed virtual attributes for individual positions within the object. More...
int | GetVirtualSubobjectAttributes (wxRichTextObject *obj, wxArrayInt &positions, wxRichTextAttrArray &attributes) const
| Gets the mixed virtual attributes for individual positions within the object. More...
bool | HasVirtualText (const wxRichTextPlainText *obj) const
| Do we have virtual text for this object? Virtual text allows an application to replace characters in an object for editing and display purposes, for example for highlighting special characters. More...
bool | GetVirtualText (const wxRichTextPlainText *obj, wxString &text) const
| Gets the virtual text for this object. More...
void | EnableVirtualAttributes (bool b)
| Enables virtual attribute processing. More...
bool | GetVirtualAttributesEnabled () const
| Returns true if virtual attribute processing is enabled. More...
void | EnableImages (bool b)
| Enable or disable images. More...
bool | GetImagesEnabled () const
| Returns true if images are enabled. More...
void | SetLayingOut (bool b)
| Set laying out flag. More...
bool | GetLayingOut () const
| Returns true if laying out. More...
void | EnableDelayedImageLoading (bool b)
| Enable or disable delayed image loading. More...
bool | GetDelayedImageLoading () const
| Returns true if delayed image loading is enabled. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to nullptr the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=nullptr, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Public Attributes
wxRichTextBuffer * | m_buffer
bool | m_enableVirtualAttributes
bool | m_enableImages
bool | m_enableDelayedImageLoading
bool | m_layingOut

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxRichTextDrawingContext()

wxRichTextDrawingContext::wxRichTextDrawingContext | ( | wxRichTextBuffer * | buffer | ) |

Pass the buffer to the context so the context can retrieve information such as virtual attributes.

## Member Function Documentation

## ◆ ApplyVirtualAttributes()

bool wxRichTextDrawingContext::ApplyVirtualAttributes | ( | wxRichTextAttr & | attr,
|  | wxRichTextObject * | obj
| ) |  | const

Applies any virtual attributes relevant to this object.

## ◆ EnableDelayedImageLoading()

void wxRichTextDrawingContext::EnableDelayedImageLoading | ( | bool | b | ) |
| inline

Enable or disable delayed image loading.

## ◆ EnableImages()

void wxRichTextDrawingContext::EnableImages | ( | bool | b | ) |
| inline

Enable or disable images.

## ◆ EnableVirtualAttributes()

void wxRichTextDrawingContext::EnableVirtualAttributes | ( | bool | b | ) |

Enables virtual attribute processing.

## ◆ GetDelayedImageLoading()

bool wxRichTextDrawingContext::GetDelayedImageLoading | ( |  | ) | const
| inline

Returns true if delayed image loading is enabled.

## ◆ GetImagesEnabled()

bool wxRichTextDrawingContext::GetImagesEnabled | ( |  | ) | const
| inline

Returns true if images are enabled.

## ◆ GetLayingOut()

bool wxRichTextDrawingContext::GetLayingOut | ( |  | ) | const
| inline

Returns true if laying out.

## ◆ GetVirtualAttributes()

wxRichTextAttr wxRichTextDrawingContext::GetVirtualAttributes | ( | wxRichTextObject * | obj | ) | const

Returns the virtual attributes for this object.

Virtual attributes can be provided for visual cues without affecting the actual styling.

## ◆ GetVirtualAttributesEnabled()

bool wxRichTextDrawingContext::GetVirtualAttributesEnabled | ( |  | ) | const

Returns true if virtual attribute processing is enabled.

## ◆ GetVirtualSubobjectAttributes()

int wxRichTextDrawingContext::GetVirtualSubobjectAttributes | ( | wxRichTextObject * | obj,
|  | wxArrayInt & | positions,
|  | wxRichTextAttrArray & | attributes
| ) |  | const

Gets the mixed virtual attributes for individual positions within the object.

For example, individual characters within a text object may require special highlighting. The function is passed the count returned by GetVirtualSubobjectAttributesCount.

## ◆ GetVirtualSubobjectAttributesCount()

int wxRichTextDrawingContext::GetVirtualSubobjectAttributesCount | ( | wxRichTextObject * | obj | ) | const

Gets the count for mixed virtual attributes for individual positions within the object.

For example, individual characters within a text object may require special highlighting.

## ◆ GetVirtualText()

bool wxRichTextDrawingContext::GetVirtualText | ( | const wxRichTextPlainText * | obj,
|  | wxString & | text
| ) |  | const

Gets the virtual text for this object.

## ◆ HasVirtualAttributes()

bool wxRichTextDrawingContext::HasVirtualAttributes | ( | wxRichTextObject * | obj | ) | const

Does this object have virtual attributes? Virtual attributes can be provided for visual cues without affecting the actual styling.

## ◆ HasVirtualText()

bool wxRichTextDrawingContext::HasVirtualText | ( | const wxRichTextPlainText * | obj | ) | const

Do we have virtual text for this object? Virtual text allows an application to replace characters in an object for editing and display purposes, for example for highlighting special characters.

## ◆ Init()

void wxRichTextDrawingContext::Init | ( |  | ) |

## ◆ SetLayingOut()

void wxRichTextDrawingContext::SetLayingOut | ( | bool | b | ) |
| inline

Set laying out flag.

## Member Data Documentation

## ◆ m_buffer

wxRichTextBuffer* wxRichTextDrawingContext::m_buffer

## ◆ m_enableDelayedImageLoading

bool wxRichTextDrawingContext::m_enableDelayedImageLoading

## ◆ m_enableImages

bool wxRichTextDrawingContext::m_enableImages

## ◆ m_enableVirtualAttributes

bool wxRichTextDrawingContext::m_enableVirtualAttributes

## ◆ m_layingOut

bool wxRichTextDrawingContext::m_layingOut